## libcpuid 0.4.0

=== debian/changelog ===
libcpuid (0.4.0-0.1~mx19+1) mx; urgency=medium

  * Rebuilt for MX 19.
  * Make versioning rational.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 18:41:21 -0700

libcpuid (0.4.0-0~274~mx17) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Feb 2018 15:31:27 -0500

libcpuid (0.4.0-0~274~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sun, 04 Feb 2018 17:01:24 +0000

libcpuid (0.4.0) unstable; urgency=low

  * Better detection of AMD clock multiplier with msrinfo.
  * Support for Intel SGX detection
  (a backwards-incompatible change since the sizeof
   cpu_raw_data_t and cpu_id_t is now different).

 -- Georgiev, Veselin <anrieff@gmail.com>  Fri, 30 Sep 2016 22:39:37 +0300

libcpuid (0.3.0) unstable; urgency=low

  * A backwards-incompatible change, since the sizeof cpu_raw_data_t and
	  cpu_id_t are now different.
  * Support for processors up to Skylake.
  * Fix clock detection in cpu_clock_by_ic() for Skylake.
  * Support up to 8 subleaf entries for CPUID leaf 04 and detection
	  of L4 cache.
  * MSR functions supported on FreeBSD.
  * INFO_VOLTAGE request supported by cpu_msrinfo(). 

 -- eloaders <eloaders@linux.pl>  Mon, 22 Aug 2016 17:45:21 +0200

libcpuid (0.2.1) unstable; urgency=low

  * Initial release add debian directory for libcpuid.

 -- Zhang, Guodong <gdzhang@linx-info.com>  Fri, 10 Apr 2015 14:59:27 +0800
