=== debian/control ===
Source: libcpuid
Section: utils
Priority: optional
Maintainer: Zhang, Guodong <gdzhang@linx-info.com>
Build-Depends: debhelper (>= 9), autotools-dev, libtool,
               automake, autoconf, python, doxygen
Standards-Version: 3.9.5
Homepage: https://github.com/anrieff/libcpuid

Package: libcpuid14
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: libcpuid11, libcpuid13
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: libcpuid14-dev
Architecture: amd64 i386
Section: libdevel
Depends: ${misc:Depends}
Replaces: libcpuid11-dev, libcpuid13-dev
Description: Development files for libcpuid
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: cpuidtool
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: cpuidtool
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)
