=== debian/rules ===
#!/usr/bin/make -f

plib_bin=libcpuid
plib_dev=libcpuid-dev

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	libtoolize
	autoreconf --install
	dh_auto_configure
