## libcpuid 0.4.1

=== debian/changelog ===
libcpuid (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2019 18:41:27 -0500

libcpuid (0.4.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #941473).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Oct 2019 11:13:03 +0200
