=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libcpuid-x-$1.tar.gz/ \
https://github.com/anrieff/libcpuid/tags .*/archive/v?([\d\.]+).tar.gz
