## libcpuid 0.5.0+repack1

=== debian/changelog ===
libcpuid (0.5.0+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/*:
    + Repack orig tarball and mark it as repacked in the src:pkg version.
    + SOVERSION bump (libcpuid14 -> libcpuid15).
  * debian/patches:
    + Update 1001_spelling-fixes.patch. (Previous spelling flaws have been
      fixed upstream, new spelling flaws introduced).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
  * debian/libcpuid15.symbols:
    + Add Build-Depends-Package meta data field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2020 12:02:31 +0200
