=== debian/control ===
Source: libcpuid
Section: libs
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               doxygen,
Standards-Version: 4.5.0
Homepage: https://github.com/anrieff/libcpuid
Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
Vcs-Browser: https://salsa.debian.org/debian/libcpuid
Rules-Requires-Root: no

Package: libcpuid15
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid shared library.

Package: libcpuid-dev
Architecture: amd64 i386
Multi-Arch: same
Depends: libcpuid15 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Section: libdevel
Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid development headers.

Package: cpuidtool
Architecture: amd64 i386
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Section: misc
Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the cpuidtool.
