=== debian/changelog ===
libcpuid (0.5.1+repack1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Jul 2022 13:40:59 -0700

libcpuid (0.5.1+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 21:56:58 +0100

libcpuid (0.5.0+repack1-2) unstable; urgency=medium

  * debian/watch: Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:29:47 +0200
