=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libcpuid
 Section: libs
 Priority: optional
-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               doxygen,
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
+Uploaders: Mike Gabriel <sunweaver@debian.org>
+Build-Depends: debhelper-compat (= 13), doxygen
+Standards-Version: 4.6.0
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
@@ -15,8 +14,7 @@
 Package: libcpuid15
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
  libcpuid is a small C library for x86 CPU detection and feature
  extraction. Using it, you can:
@@ -33,9 +31,7 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid15 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends},
+Depends: libcpuid15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Section: libdevel
 Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
  libcpuid is a small C library for x86 CPU detection and feature
@@ -53,8 +49,7 @@
 Package: cpuidtool
 Architecture: amd64 i386
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: misc
 Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
  libcpuid is a small C library for x86 CPU detection and feature
