=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg
+DTYPE = +repack1
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,5 +23,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-source:
-	uscan --noconf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=..
+	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose
