## libcpuid 0.6.2%2Brepack1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libcpuid
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
-Uploaders: Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.6.0
+Maintainer: Martin Wimpress <code@wimpress.io>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               doxygen,
+Standards-Version: 4.6.2
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid15
+Package: libcpuid16
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
  libcpuid is a small C library for x86 CPU detection and feature
  extraction. Using it, you can:
@@ -31,7 +33,9 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libcpuid16 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
 Section: libdevel
 Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
  libcpuid is a small C library for x86 CPU detection and feature
@@ -49,7 +53,8 @@
 Package: cpuidtool
 Architecture: amd64 i386
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Section: misc
 Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
  libcpuid is a small C library for x86 CPU detection and feature
