=== libcpuid/CMakeLists.txt ===
--- 
+++ 
@@ -5,23 +5,26 @@
     rdtsc.c
     libcpuid_util.c
     rdmsr.c
-    msrdriver.c
     asm-bits.c)
+
+if(WIN32)
+  list(APPEND cpuid_sources msrdriver.c)
+endif()
+if(UNIX)
+  add_compile_definitions(_GNU_SOURCE)
+endif(UNIX)
 
 if("${MSVC_CXX_ARCHITECTURE_ID}" MATCHES "x64")
   list(APPEND cpuid_sources masm-x64.asm)
 endif()
 
-if(UNIX)
-  add_library(cpuid SHARED ${cpuid_sources})
-else()
-  add_library(cpuid ${cpuid_sources})
-endif()
+add_library(cpuid ${cpuid_sources})
+set_property(TARGET cpuid PROPERTY WINDOWS_EXPORT_ALL_SYMBOLS ON)
 target_include_directories(cpuid SYSTEM PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
 
 target_compile_definitions(cpuid PRIVATE VERSION="${PROJECT_VERSION}")
-set_target_properties(cpuid PROPERTIES VERSION ${PROJECT_VERSION})
-set_target_properties(cpuid PROPERTIES SOVERSION ${SOVERSION})
+set_target_properties(cpuid PROPERTIES VERSION "${LIBCPUID_CURRENT}.${LIBCPUID_AGE}.${LIBCPUID_REVISION}")
+set_target_properties(cpuid PROPERTIES SOVERSION "${LIBCPUID_CURRENT}")
 set_target_properties(cpuid PROPERTIES PUBLIC_HEADER "libcpuid.h;libcpuid_types.h;libcpuid_constants.h")
 
 # Documentation
@@ -67,7 +70,7 @@
 write_basic_package_version_file("${version_config}" COMPATIBILITY SameMajorVersion)
 
 # Configure '<PROJECT-NAME>Config.cmake' Use variables: * TARGETS_EXPORT_NAME * PROJECT_NAME
-configure_package_config_file("${CMAKE_MODULE_PATH}/Config.cmake.in" "${project_config}"
+configure_package_config_file("${PROJECT_SOURCE_DIR}/cmake/Config.cmake.in" "${project_config}"
                               INSTALL_DESTINATION "${config_install_dir}")
 
 # Installation
