=== debian/changelog ===
libcpuid (0.6.2+repack1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Adjust Files-Exlucded field. Drop debian/ subfolder from it.
    + Add copyright.in file for tracking later copyright changes.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Forward patch 1001 upstream and mark it as such.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 13:03:02 +0100

libcpuid (0.6.1+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1001_spelling-fixes.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 21:36:57 +0200

libcpuid (0.6.0+repack1-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Oct 2022 09:52:59 +0200

libcpuid (0.6.0+repack1-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/control:
    + Update Martin's mail address in Uploaders: field.
  * debian/:
    + Move from libcpuid15 to libcpuid16 (SOVERSION bump).
  * debian/copyright:
    + Update copyright attributions for debian/*.
  * debian/libcpuid16.symbols:
    + Update .symbols.
  * debian/patches:
    + Update 1001_spelling-fixes.patch. Fix another typo.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 23:24:00 +0200
