=== debian/watch ===
version=4
opts=repacksuffix=+repack1,dversionmangle=s/\+repack1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libcpuid-$1.tar.gz/ \
https://github.com/anrieff/libcpuid/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
