=== debian/changelog ===
libcpuid (0.6.3+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_spelling-fixes.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 13:19:46 +0200
