## libcpuid 0.6.4+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.13)
 
-set(VERSION "0.6.3")
+set(VERSION "0.6.4")
 set(LIBCPUID_CURRENT 16)
 set(LIBCPUID_AGE 0)
-set(LIBCPUID_REVISION 3)
+set(LIBCPUID_REVISION 4)
 project(
   cpuid
   LANGUAGES C CXX ASM_MASM
@@ -20,6 +20,18 @@
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_C_STANDARD 99)
+
+# pthreads library
+if(${CMAKE_SYSTEM_NAME} STREQUAL "DragonFly" OR ${CMAKE_SYSTEM_NAME} STREQUAL "NetBSD")
+  find_package(Threads REQUIRED)
+endif()
+
+# check if popcount64 is available
+include(CheckSymbolExists)
+check_symbol_exists(popcount64 "string.h" HAVE_POPCOUNT64)
+if(HAVE_POPCOUNT64)
+  add_definitions(-DHAVE_POPCOUNT64)
+endif(HAVE_POPCOUNT64)
 
 # Global variables
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
