=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-if(UNIX)
-  add_executable(convert_instlatx64 convert_instlatx64.c)
-  target_link_libraries(convert_instlatx64 PUBLIC cpuid)
-endif(UNIX)
-
 add_custom_target(test DEPENDS test-fast)
 
 add_custom_target(
