=== debian/changelog ===
libcpuid (0.6.4+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2024 09:34:39 +0100
