=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                doxygen,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
