## libcpuid 0.7.1%2Brepack1

=== debian/watch ===
version=4
opts=repacksuffix=+repack1 \
https://github.com/anrieff/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
