=== debian/changelog ===
libcpuid (0.7.1+repack1-0.2) unstable; urgency=medium

  * NMU
  * debian/control:
    + Bump Standards-Version to 4.7.2. No changes needed.
  * debian/control:
    + Allow building for x32

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Mar 2025 16:31:44 +0000

libcpuid (0.7.1+repack1-0.1) unstable; urgency=medium

  * NMU
  * Yak shave debian/watch
  * New upstream release
  * Adjust file exclusion list for new non-DFSG file location
  * Remove non-existant upstream NEWS from .docs file
  * Move from libcpuid16 to libcpuid17 (SOVERSION bump).
  * Patch typo in string

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Dec 2024 13:18:34 +0000
