=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid16
-Architecture: amd64 i386
+Package: libcpuid17
+Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -33,7 +33,7 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid16 (= ${binary:Version}),
+Depends: libcpuid17 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
 Section: libdevel
