=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,5 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-source:
 	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose
