## libcpuid 0.8.0+repack1

=== debian/changelog ===
libcpuid (0.8.0+repack1-0.3) unstable; urgency=medium

  * NMU
  * Target unstable with ARM support

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 May 2025 21:33:31 +0100

libcpuid (0.8.0+repack1-0.2) experimental; urgency=medium

  * NMU
  * Broaden architecture list to include ARM and non-glibc-linux

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 May 2025 09:41:26 +0100

libcpuid (0.8.0+repack1-0.1) unstable; urgency=medium

  * NMU
  * New upstream release
  * Move from libcpuid17 to libcpuid18 (upstream SOVERSION bump).
  * Quilt patch to fix soversion bug: incompatible ABI change, should set
    AGE=0 but instead generate 18.1.0 for compatibility with cmake builds.
  * Comment orig-src stanza from debian/rules: just uscan --force-download
  * Remove obsolete exclusion from debian/copyright
  * Remove obsolete dh_missing stanza from debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 May 2025 20:36:25 +0100
