=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid17
-Architecture: amd64 i386 x32
+Package: libcpuid18
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (shared lib)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,
@@ -31,14 +31,13 @@
  This package ships the libcpuid shared library.
 
 Package: libcpuid-dev
-Architecture: amd64 i386
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: same
-Depends: libcpuid17 (= ${binary:Version}),
-         ${shlibs:Depends},
+Depends: libcpuid18 (= ${binary:Version}),
          ${misc:Depends},
 Section: libdevel
-Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (headers)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,
@@ -51,13 +50,13 @@
  This package ships the libcpuid development headers.
 
 Package: cpuidtool
-Architecture: amd64 i386
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Section: misc
-Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (tool)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,
