=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,5 @@
 # about to be removed from Debian)
 override_dh_auto_test:
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-get-orig-source:
-	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose
+# get-orig-source:
+# 	uscan --force-download
